import { gql } from '@apollo/client';

export const COMMIT_LIST_QUERY = gql`
  query CommitListQuery($projectId: String!, $pipelineId: String!) {
    project(id: $projectId) {
      id
      name
      comment
      webUrl
      sshUrl
      webHookSecret
    }
    pipeline(id: $pipelineId) {
      id
      name
      branch
      workUnitMetadata {
        version
        units {
          type
          scripts
        }
      }
    }
  }
`;