import { gql } from '@apollo/client';

export const CREATE_PIPELINE_TASK = gql`
  mutation CreatePipelineTask($task: CreatePipelineTaskInput!) {
    createPipelineTask(task: $task) {
      id
      status
      startedAt
      endedAt
    }
  }
`;
export const STOP_PIPELINE_TASK = gql`
  mutation StopPipelineTask($taskId: String!) {
    stopPipelineTask(id: $taskId)
  }
`;
